# require 'test_helper'
#
# require 'eaternet'
# require 'eaternet/lives_1_0'
#
# MULTCO_CASSETTE = 'multco'
#
# class MultcoTest < Minitest::Test
#   @@multco = Eaternet::Multco.new
#
#   #
#   # Businesses
#   #
#
#   def test_businesses_returns_an_enumerator_of_business
#     VCR.use_cassette(MULTCO_CASSETTE) do
#       assert enumerable_of? Eaternet::Lives_1_0::Business, @@multco.businesses
#     end
#   end
#
#   def test_businesses_returns_lives_attributes
#     VCR.use_cassette(MULTCO_CASSETTE) do
#       b = @@multco.businesses.first
#       assert_equal '26013377', b.business_id
#       assert_equal '10 Barrel Brewing Company', b.name
#       assert_equal '1411 NW Flanders', b.address
#       assert_equal 'Portland', b.city
#       assert_equal '97209', b.postal_code
#       assert_equal 'OR', b.state
#     end
#   end
#
#   #
#   # Inspections
#   #
#
#   def test_inspections_returns_an_enumerable_of_inspection
#     VCR.use_cassette(MULTCO_CASSETTE) do
#       inspections = @@multco.inspections
#       assert enumerable_of? Eaternet::Lives_1_0::Inspection, inspections
#     end
#   end
#
#   def test_inspections_returns_lives_attributes
#     VCR.use_cassette(MULTCO_CASSETTE) do
#       i = @@multco.inspections.first(6).last
#       assert_equal '26004998', i.business_id
#       assert_equal Date.new(2015, 01, 13), i.date
#       assert_equal 97, i.score
#     end
#   end
#
#   #
#   # Violations
#   #
#
#   def test_violations_returns_an_enumerable_of_violation
#     VCR.use_cassette(MULTCO_CASSETTE) do
#       assert enumerable_of? Eaternet::Lives_1_0::Violation, @@multco.violations
#     end
#   end
#
#   def test_violations_returns_lives_attributes
#     VCR.use_cassette(MULTCO_CASSETTE) do
#       v = @@multco.violations.first
#       assert_equal '26004998', v.business_id
#       assert_equal Date.new(2015, 1, 13), v.date
#       assert_equal '4-302.12', v.code
#       assert_match /Temperature measuring devices/, v.description
#     end
#   end
#
#   #
#   # metadata
#   #
#
#   def test_implements_feed_info
#     assert_instance_of Eaternet::Lives_1_0::FeedInfo, @@multco.feed_info
#   end
# end
