require 'minitest/autorun'
require 'minitest/perf'
require 'pry'
require 'webmock/minitest'
require 'vcr'

VCR.configure do |c|
  c.cassette_library_dir = 'test/vcr_cassettes'
  c.hook_into :webmock
  c.ignore_hosts 'downloadtest.com'
  # c.default_cassette_options = { record: :new_episodes }
end

#
# Testing helpers
#
def enumerable_of?(a_class, obj)
  assert_kind_of Enumerable, obj
  assert_kind_of a_class, obj.first
end

SNHD_CASSETTE =  'snhd'
SF_CASSETTE =    'sf'
L2_CASSETTE =    'lives2'
AUSTIN_CASSETTE = 'austin'

# Skip the annoying rubyzip warnings
ENV['RUBYZIP_NO_WARN_INVALID_DATE'] = '1'
